//
//  main.m
//  Textteilbereiche mit NSRange
//
//  Created by Holger Hinzberg on 12.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>

int main (int argc, const char * argv[])
{

    @autoreleasepool {
        
       /*
        // Der zu überprüfende Text
        NSString *errortext = @"Es ist ein Fehler aufgetreten";
        
        // Eine NSRange-Struktur
        NSRange range =
        [errortext rangeOfString:@"fehler"
                         options:NSCaseInsensitiveSearch];
        
        if(range.length > 0)
        {
            NSLog(@"Fehler!");
        } 
        else
        {
            NSLog(@"Kein Fehler");
        }
        */
        
        NSString *text = @"Hallo Cocoa Entwickler";
        NSRange range = NSMakeRange(6,5);
        
        // Die zur Verfügung stehende Länge der
        // Zeichenkette sollte überprüft werden.
        if (range.location + range.length > [text length])
        {
            NSLog(@"Achtung, dieser Bereich passt nicht!");
        }
        else
        {
            text = [text substringWithRange:range];
            NSLog(@"%@",text);
        }


        
    }
    return 0;
}

